package com.ruoyi.project.patrol.fire.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 常闭式防爆门/防火门对象 t_fire_door
 *
 * @author admin
 * @date 2023-11-07
 */
public class TFireDoor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 位号 */
    @Excel(name = "位号")
    private String devNo;

    /** 防爆门/防火门关闭状态 */
    @Excel(name = "防爆门/防火门关闭状态")
    private String inactiveState;

    /** 防爆门/防火门密闭性能 */
    @Excel(name = "防爆门/防火门密闭性能")
    private String sealingProperty;

    /** 防爆门/防火门外观 */
    @Excel(name = "防爆门/防火门外观")
    private String appearance;

    /** 防爆门/防火门润滑性能 */
    @Excel(name = "防爆门/防火门润滑性能")
    private String lubricatingProperty;

    /** 防爆门/防火门闭门器外观 */
    @Excel(name = "防爆门/防火门闭门器外观")
    private String doorClosers;

    /** 防爆门/防火门闭门器性能 */
    @Excel(name = "防爆门/防火门闭门器性能")
    private String performanceClosers;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmed;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 检查状态 */
    @Excel(name = "检查状态")
    private String checkStatus;

    /** 检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 月度 */
    @Excel(name = "月度")
    private Long month;

    /** 年度 */
    @Excel(name = "年度")
    private Long year;

    /** 删除标识0未删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 计划id */
    @Excel(name = "计划id")
    private Long planId;

    /** 问题文件地址 */
    @Excel(name = "问题文件地址")
    private String problemFileUrl;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    /** 检测是否有问题(1:是,0:否) */
    @Excel(name = "检测是否有问题(1:是,0:否)")
    private String issuesStatus;

    /** 是否为问题记录数据 */
    @Excel(name = "是否为问题记录数据")
    private String issuesFlag;

    /** 问题修复附件 */
    @Excel(name = "问题修复附件")
    private String repairFile;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String devType;

    private String precision;

    public String getPrecision() {
        return precision;
    }

    public void setPrecision(String precision) {
        this.precision = precision;
    }

    public TFireDoor(){}

    public TFireDoor(String devNo, String devType, Long month, Long year, Long planId,String createrCode) {
        this.devNo = devNo;
        this.devType = devType;
        this.month = month;
        this.year = year;
        this.planId = planId;
        this.issuesStatus = "0";
        this.checkStatus = "0";
        this.createdate = new Date();
        this.createrCode = createrCode;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDevNo(String devNo)
    {
        this.devNo = devNo;
    }

    public String getDevNo()
    {
        return devNo;
    }
    public void setInactiveState(String inactiveState)
    {
        this.inactiveState = inactiveState;
    }

    public String getInactiveState()
    {
        return inactiveState;
    }
    public void setSealingProperty(String sealingProperty)
    {
        this.sealingProperty = sealingProperty;
    }

    public String getSealingProperty()
    {
        return sealingProperty;
    }
    public void setAppearance(String appearance)
    {
        this.appearance = appearance;
    }

    public String getAppearance()
    {
        return appearance;
    }
    public void setLubricatingProperty(String lubricatingProperty)
    {
        this.lubricatingProperty = lubricatingProperty;
    }

    public String getLubricatingProperty()
    {
        return lubricatingProperty;
    }
    public void setDoorClosers(String doorClosers)
    {
        this.doorClosers = doorClosers;
    }

    public String getDoorClosers()
    {
        return doorClosers;
    }
    public void setPerformanceClosers(String performanceClosers)
    {
        this.performanceClosers = performanceClosers;
    }

    public String getPerformanceClosers()
    {
        return performanceClosers;
    }
    public void setConfirmed(String confirmed)
    {
        this.confirmed = confirmed;
    }

    public String getConfirmed()
    {
        return confirmed;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCheckStatus(String checkStatus)
    {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus()
    {
        return checkStatus;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setPlanId(Long planId)
    {
        this.planId = planId;
    }

    public Long getPlanId()
    {
        return planId;
    }
    public void setProblemFileUrl(String problemFileUrl)
    {
        this.problemFileUrl = problemFileUrl;
    }

    public String getProblemFileUrl()
    {
        return problemFileUrl;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }
    public void setIssuesStatus(String issuesStatus)
    {
        this.issuesStatus = issuesStatus;
    }

    public String getIssuesStatus()
    {
        return issuesStatus;
    }
    public void setIssuesFlag(String issuesFlag)
    {
        this.issuesFlag = issuesFlag;
    }

    public String getIssuesFlag()
    {
        return issuesFlag;
    }
    public void setRepairFile(String repairFile)
    {
        this.repairFile = repairFile;
    }

    public String getRepairFile()
    {
        return repairFile;
    }
    public void setDevType(String devType)
    {
        this.devType = devType;
    }

    public String getDevType()
    {
        return devType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("devNo", getDevNo())
            .append("inactiveState", getInactiveState())
            .append("sealingProperty", getSealingProperty())
            .append("appearance", getAppearance())
            .append("lubricatingProperty", getLubricatingProperty())
            .append("doorClosers", getDoorClosers())
            .append("performanceClosers", getPerformanceClosers())
            .append("confirmed", getConfirmed())
            .append("remarks", getRemarks())
            .append("checkStatus", getCheckStatus())
            .append("checkDate", getCheckDate())
            .append("month", getMonth())
            .append("year", getYear())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("planId", getPlanId())
            .append("problemFileUrl", getProblemFileUrl())
            .append("fileUrl", getFileUrl())
            .append("issuesStatus", getIssuesStatus())
            .append("issuesFlag", getIssuesFlag())
            .append("repairFile", getRepairFile())
            .append("devType", getDevType())
            .toString();
    }
}
